package twitter;

import java.util.Date;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jerrymouse.gaes.test.DatastoreTestCase;
import org.junit.Before;
import org.junit.Test;

public class TwitterDaoTest extends DatastoreTestCase {
	Log log = LogFactory.getLog(getClass());

	TwitterDao twitterDao;

	@Before
	public void setup() {
	}

	@Test
	public void testListAllOrderdData() {
		twitterDao = new TwitterDao();
		twitterDao.put(new Twitter("a", new Date()));
		twitterDao.put(new Twitter("b", new Date()));
		twitterDao.put(new Twitter("c", new Date()));
		List<Twitter> list = twitterDao.list();
		log.trace(list.toString());
	}

}
